MALOC 0.1

Public Attributes | List of all members
sVmem Struct Reference
Vmem class

Contains public data members for Vmem class. More...

`#include <vmem.h>`

## Public Attributes
char | name [VMAX_ARGLEN]
size_t | mallocBytes
size_t | freeBytes
size_t | highWater
size_t | mallocAreas

## Detailed Description

Contains public data members for Vmem class.

Author
  Michael Holst

## Member Data Documentation

## ◆ freeBytes

size_t sVmem::freeBytes

total size of all freed malloc areas of class

## ◆ highWater

size_t sVmem::highWater

high-water malloc bytemark for this class

## ◆ mallocAreas

size_t sVmem::mallocAreas

total number of individual malloc areas

## ◆ mallocBytes

size_t sVmem::mallocBytes

total size of all current malloc areas of class

## ◆ name

char sVmem::name[VMAX_ARGLEN]

name of class we manage malloc areas for

The documentation for this struct was generated from the following file:

- vmem.h